# Cmdline opts utilites

our $BASE;

sub have_fset
{
	my $fset = shift;
	return (-f "$BASE/ps/FSet/$fset") ? 1 : 0;
}

sub guess_system_encoding
{
	my $enc;

	return guess_lc_enc('LC_ALL')
		|| guess_lc_enc('LC_CTYPE')
		|| guess_lc_enc('LANG')
		|| 'utf-8';
}

sub guess_lc_enc
{
	my $var = shift;
	my $val = $ENV{$var};
	return unless defined $val;
	$val =~ s/[^.]+\.//;
	$val =~ s/@.*//;
	return $val;
}

1;
