# Raw text handling (no ANSI sequences)

our $g_line;
our $verbose;
use utf8;

# print_c($string)
# print_t($string)

sub print_line_raw
{
	foreach my $chunk (split(/([\n\t\x0F\x08\x0C])/, shift)) {
		if($chunk eq "\x0C") {
			new_line(1);
		} elsif($chunk eq "\n") {
			# ignored
		} elsif($chunk eq "\x0F") {
			# ignored
		} elsif($chunk eq "\r") {
			put_cr();
		} elsif($chunk eq "\t") {
			put_tab();
		} elsif($chunk eq "\x08") {
			put_bs();
		} elsif($chunk eq "") {
			# do nothing
		} else {
			put_text($chunk);
		}
	}
	return 0;
}

1;
